Bug 432818 - RFE: use tmpfs for /var/run/ConsoleKit
RFE: use tmpfs for /var/run/ConsoleKit
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-14 11:25 EST by David Zeuthen
Modified: 2014-03-16 23:12 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-28 16:04:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Zeuthen 2008-02-14 11:25:07 EST
ConsoleKit maintains a database at

# ls -l /var/run/ConsoleKit/database 
-rw------- 1 root root 1804 2008-02-14 10:11 /var/run/ConsoleKit/database

Some people have complained that the disks are spun up whenever they switch
VT's. If we mount a tmpfs on /var/run/ConsoleKit we wouldn't have this problem.
Thoughts?
Comment 1 Bill Nottingham 2008-02-14 16:34:01 EST
Hm. Might make more sense to do it for all of /var/run.
Comment 2 David Zeuthen 2008-02-15 11:39:54 EST
(In reply to comment #1)
> Hm. Might make more sense to do it for all of /var/run.

Thought about it but it's a bit tricky. Just mounting /var/run on tmpfs and
mkdir'ing the existing directories isn't going to work - what happens if you
install a new package? However, going through all directories in /var/run/* and
mounting a tmpfs on each of them would work. It's a lot of mounts though; not
sure it's going to work; isn't the a substantial per-tmpfs cost?
Comment 3 Bug Zapper 2008-05-14 01:12:20 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 iarly selbir 2009-03-14 21:23:13 EDT
is this problem happening yet?

give us feedback.

Thanks

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Bill Nottingham 2009-03-16 13:15:43 EDT
This really doesn't need triaging - thanks!
Comment 7 Bill Nottingham 2009-03-16 13:16:47 EDT
And commenting once more to satisfy the needinfo police.
Comment 8 Tim Landscheidt 2009-03-20 10:51:58 EDT
It would be a really nice feature to keep /var/lock and /var/run neat and tidy, but you would not only have to tweak tmpfs to copy the contents of the shadowed directories on startup but also to allow rpm to update the shadowed directories (which you cannot unmount for that update because then the lockfiles and PID files become unavailable for that time) and the tmpfs copy at the same time. Sounds like more work than fun, and to add to that, in a very sensitive area.
Comment 9 Bug Zapper 2009-06-09 19:33:41 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-04-27 07:54:49 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bill Nottingham 2011-02-28 16:04:19 EST
Fixed in rawhide with systemd. (Yes, lame, I know.)

Note You need to log in before you can comment on or make changes to this bug.